package com.dayou.service;
import com.dayou.entity.GisVisited;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 * GIS访问记录 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-05-19
 */
public interface IGisVisitedService extends IService<GisVisited> {

        Page<GisVisited> selectPage(Page page,GisVisited gisVisited);

        GisVisited detail(Long id);

        void add(HttpServletRequest request);

        Boolean update(GisVisited gisVisited);

        Boolean delete(Long id);

}
